summaryrefslogtreecommitdiffstats
path: root/academic/gwyddion/gwyddion.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/gwyddion/gwyddion.SlackBuild')
-rw-r--r--academic/gwyddion/gwyddion.SlackBuild11
1 files changed, 4 insertions, 7 deletions
diff --git a/academic/gwyddion/gwyddion.SlackBuild b/academic/gwyddion/gwyddion.SlackBuild
index 64425e80f0..1e34cecbae 100644
--- a/academic/gwyddion/gwyddion.SlackBuild
+++ b/academic/gwyddion/gwyddion.SlackBuild
@@ -5,7 +5,7 @@
# Written by Daniil Bratashov <dn2010@gmail.com>
PRGNAM=gwyddion
-VERSION=${VERSION:-2.24}
+VERSION=${VERSION:-2.25}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -36,7 +36,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -44,7 +44,7 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
-cd $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -52,9 +52,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-#patch for 2.24 crash in mask edit tool
-patch -p0 < $CWD/gwyddion-2.24-maskedit-drawing-crash.patch
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -69,7 +66,7 @@ CXXFLAGS="$SLKCFLAGS" \
make V=1
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;